//////////////////////////////
//    Dynamic-AI-Creator    //
//    Version 2.0 - 2007    //
//--------------------------//
//    DAC_Config_Camps      //
//--------------------------//
//    Script by Silola      //
//    silola@mapfact.net    //
//////////////////////////////

private [
			"_CampTyp","_campBasic","_campAmmo","_campStatic","_campWall","_campObjInit",
			"_campUserObj","_campAddUnit","_campRandomObj","_Unit_Pool_C","_array"
		];

			_CampTyp = _this select 0;_array = [];

switch (_CampTyp) do
{
//-------------------------------------------------------------------------------------------------------------------------
	case 0:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",5,10,0],["CampEmpty",10,0,0],["Logic",0,15,0],0];
		_campAmmo      = [];
		_campStatic    = [];
		_campAddUnit   = [];
		_campUserObj   = [];
		_campRandomObj = [];
		_campWall      = [];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 1:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",5,10,0],["CampEmpty",10,0,0],["Logic",0,15,0],0];
		_campAmmo      = [["AmmoBoxWest",16,10,0],["WeaponBoxWest",16,5,0],["SpecialBoxWest",16,0,0]];
		_campStatic    = [];
		_campAddUnit   = [];
		_campUserObj   = [];
		_campRandomObj = [];
		_campWall      = [];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 2:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",5,10,0],["CampEmpty",10,0,0],["Logic",0,15,0],0];
		_campAmmo      = [["AmmoBoxWest",16,10,0],["WeaponBoxWest",16,5,0],["SpecialBoxWest",16,0,0]];
		_campStatic    = [];
		_campAddUnit   = [];
		_campUserObj   = [["ShedBig",20,25,90],["HMMWV",0,28,90],["HMMWV",0,20,90],["Truck5tOpen",25,5,180]];
		_campRandomObj = [];
		_campWall      = [];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 3:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",5,10,0],["CampEmpty",10,0,0],["Logic",0,15,0],0];
		_campAmmo      = [["AmmoBoxWest",16,10,0],["WeaponBoxWest",16,5,0],["SpecialBoxWest",16,0,0]];
		_campStatic    = [];
		_campAddUnit   = [];
		_campUserObj   = [["ShedBig",25,20,90],["ShedBig",0,20,0],["Truck5tOpen",28,0,270],["Truck5tOpen",28,7,270]];
		_campRandomObj = [[["AARO038",1,80],["AARO041",1,80],["AAPL068",3,80],["AAPL076",1,80]],40,1,30,10];
		_campWall      = [];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 4:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",5,10,0],["CampEmpty",10,0,0],["Logic",0,15,0],0];
		_campAmmo      = [["AmmoBoxWest",26,7,0],["WeaponBoxWest",26,2,0],["SpecialBoxWest",26,-3,0]];
		_campStatic    = [];
		_campAddUnit   = [];
		_campUserObj   = [["AAHO152",-3,28,315],["AAHO152",30,28,45],["AAHO152",30,0,135]];
		_campRandomObj = [[["AARO038",1,80],["AARO041",1,50],["AAPL068",3,50],["AAPL076",1,60],["AAPL036",1,50],["AAPL035",1,50]],60,1,30,10];
		_campWall      = ["FenceWood",[-3,30],[36,35,1],[4,4,4,4],[0,0.1],[0,90]];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};//"AAHO152","AAHO211"
//-------------------------------------------------------------------------------------------------------------------------
	case 5:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",5,10,0],["CampEmpty",10,0,0],["Logic",0,15,0],0];
		_campAmmo      = [["AmmoBoxWest",16,10,0],["WeaponBoxWest",16,5,0],["SpecialBoxWest",16,0,0]];
		_campStatic    = [["M2StaticMG",3,38,0,"Soldierwb"],["M2StaticMG",27,38,0,"Soldierwb"]];
		_campAddUnit   = [];
		_campUserObj   = [["CampEmpty",29,0,270],["CampEmpty",29,10,270],["CampEmpty",29,20,270],["CampEmpty",29,30,270],["AAHO211",3,25,0]];
		_campRandomObj = [[["AAPL082",1,10],["AAPL036",1,80],["AAPL035",1,80],["AAPL034",1,20],["AAPL033",1,20],["AAPL076",1,40]],150,1,20,13];
		_campWall      = ["AAHO224",[-3,40],[40,45,0],[5,0,0,0],[1,0.3],[0,0]];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 6:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",5,10,0],["CampEmpty",10,0,0],["Logic",0,15,0],0];
		_campAmmo      = [["AmmoBoxWest",16,10,0],["WeaponBoxWest",16,5,0],["SpecialBoxWest",16,0,0]];
		_campStatic    = [["M2StaticMG",7,42,0,"Soldierwb"],["M2StaticMG",23,42,0,"Soldierwb"],["M2StaticMG",-8,5,270,"Soldierwb"],["M2StaticMG",-8,20,270,"Soldierwb"]];
		_campAddUnit   = ["Soldierwsniper","Soldierwsniper","Soldierwsniper","Soldierwsniper","Soldierwsniper"];
		_campUserObj   = 	[
								["Logic",20,55,315],["Logic",20,45,315],["Logic",-18,20,315],["Logic",-8,20,315],["ShedBig",25,20,90],["HMMWV",0,32,90],
								["HMMWV",0,25,90],["Truck5tOpen",25,5,0],["AAHO209",-7,40,0],["AAHO209",27,40,0],["AAHO209",27,-2,0],["AAHO209",-7,-2,0]
							];
		_campRandomObj = [[["AARO038",4,80],["AARO041",1,80],["AAPL068",1,80],["AAPL076",2,80]],50,1,30,25];
		_campWall      = ["AAHO393",[-3,40],[40,45,0],[3,0,0,3],[1,0.8],[0,0]];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 7:
	{
		_campBasic     = ["FlagCarrierNorth",["Fire",10,5,0],["CampEast",10,-5,0],["Logic",25,0,45],0];
		_campAmmo      = [];
		_campStatic    = [["D30",0,18,0,"Soldiereb"],["D30",32,18,0,"Soldiereb"],["D30",32,-20,180,"Soldiereb"],["D30",0,-20,180,"Soldiereb"]];
		_campAddUnit   = [];
		_campUserObj   = [["Logic",-15,0,0],["Logic",17,35,0],["Logic",17,20,0],["Logic",47,0,0],["Logic",27,0,0],["Logic",17,-35,0],["Logic",17,-20,0]];
		_campRandomObj = [[["AAPL068",1,50],["AAPL076",2,40],["AAPL036",1,80],["AAPL035",1,10],["AAPL034",1,10],["AAPL033",1,10],["AAPL076",1,10]],50,1,20,12];
		_campWall      = ["FenceWood",[-3,25],[40,50,1],[8,8,8,8],[0,0.1],[0,90]];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 8:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",10,5,0],["CampEmpty",10,-5,0],["Logic",25,0,45],0];
		_campAmmo      = [];
		_campStatic    = [["M119",0,18,0,"Soldierwb"],["M119",32,18,0,"Soldierwb"],["M119",32,-20,180,"Soldierwb"],["M119",0,-20,180,"Soldierwb"]];
		_campAddUnit   = [];
		_campUserObj   = [["Logic",-15,0,0],["Logic",17,35,0],["Logic",17,20,0],["Logic",47,0,0],["Logic",27,0,0],["Logic",17,-35,0],["Logic",17,-20,0]];
		_campRandomObj = [[["AAPL068",1,50],["AAPL076",2,40],["AAPL036",1,80],["AAPL035",1,10],["AAPL034",1,10],["AAPL033",1,10],["AAPL076",1,10]],50,1,20,12];
		_campWall      = ["FenceWood",[-3,25],[40,50,1],[8,8,8,8],[0,0.1],[0,90]];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 9:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",10,5,0],["CampEmpty",10,-5,0],["Logic",0,15,0],0];
		_campAmmo      = [];
		_campStatic    = [["M1Abrams",0,18,180,"Soldierwb"],["M1Abrams",11,18,180,"Soldierwb"],["M1Abrams",21,18,180,"Soldierwb"],["M1Abrams",32,18,180,"Soldierwb"]];
		_campAddUnit   = [];
		_campUserObj   = [["AAHO211",28,3,45]];
		_campRandomObj = [[["AAPL068",1,50],["AAPL076",2,40],["AAPL036",1,80],["AAPL035",1,10],["AAPL034",1,10],["AAPL033",1,10],["AAPL076",1,10]],50,1,20,12];
		_campWall      = ["FenceWood",[-3,25],[40,35,1],[0,4,4,4],[0,0.1],[0,90]];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 10:
	{
		_campBasic     = ["FlagCarrierSouth",["Fire",10,5,0],["CampEmpty",10,-5,0],["Logic",0,15,0],0];
		_campAmmo      = [];
		_campStatic    = 	[
								["M119",0,18,180,"Soldierwb"],["M119",11,18,180,"Soldierwb"],["M119",21,18,180,"Soldierwb"],["M119",32,18,180,"Soldierwb"],
								["M119",0,-25,180,"Soldierwb"],["M119",11,-25,180,"Soldierwb"],["M119",21,-25,180,"Soldierwb"],["M119",32,-25,180,"Soldierwb"]
							];
		_campAddUnit   = ["Soldierwat","Soldierwat","Soldierwat"];
		_campUserObj   = [["AAHO211",28,3,45]];
		_campRandomObj = [[["AAPL068",1,50],["AAPL076",2,40],["AAPL036",1,80],["AAPL035",1,10],["AAPL034",1,10],["AAPL033",1,10],["AAPL076",1,10]],50,1,20,12];
		_campWall      = ["FenceWood",[-3,25],[40,55,1],[0,4,0,4],[0,0.1],[0,90]];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 11:
	{
		_campBasic     = ["NULL"];
		_campAmmo      = [];
		_campStatic    = [];
		_campAddUnit   = [];
		_campUserObj   = [];
		_campRandomObj = [];
		_campWall      = [];
		_campObjInit   = [[],[],[],[],[],[],[]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	Default {
				if(DAC_Basic_Value != 5) then
				{
					DAC_Basic_Value = 5;publicvariable "DAC_Basic_Value";
					hintc "Error: DAC_Config_Camps > No valid config number";
				};
				if(true) exitwith {};
			};
};

_array = [_campBasic,_campAmmo,_campStatic,_campAddUnit,_campUserObj,_campRandomObj,_campWall,_campObjInit];
_array
